---
title: llarp::iwp::InboundMessage

---

# llarp::iwp::InboundMessage





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[InboundMessage](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-inboundmessage)**() =default |
| | **[InboundMessage](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-inboundmessage)**(uint64_t msgid, uint16_t sz, [ShortHash](Classes/structllarp_1_1AlignedBuffer.md) h, llarp_time_t now) |
| void | **[HandleData](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-handledata)**(uint16_t idx, const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & buf, llarp_time_t now) |
| bool | **[IsCompleted](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-iscompleted)**() const |
| bool | **[IsTimedOut](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-istimedout)**(llarp_time_t now) const |
| bool | **[Verify](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-verify)**() const |
| byte_t | **[AcksBitmask](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-acksbitmask)**() const |
| bool | **[ShouldSendACKS](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-shouldsendacks)**(llarp_time_t now) const |
| void | **[SendACKS](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-sendacks)**(std::function< void(ILinkSession::Packet_t)> sendpkt, llarp_time_t now) |
| ILinkSession::Packet_t | **[ACKS](Classes/structllarp_1_1iwp_1_1InboundMessage.md#function-acks)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| ILinkSession::Message_t | **[m_Data](Classes/structllarp_1_1iwp_1_1InboundMessage.md#variable-m-data)**  |
| [ShortHash](Classes/structllarp_1_1AlignedBuffer.md) | **[m_Digset](Classes/structllarp_1_1iwp_1_1InboundMessage.md#variable-m-digset)**  |
| uint64_t | **[m_MsgID](Classes/structllarp_1_1iwp_1_1InboundMessage.md#variable-m-msgid)**  |
| llarp_time_t | **[m_LastACKSent](Classes/structllarp_1_1iwp_1_1InboundMessage.md#variable-m-lastacksent)**  |
| llarp_time_t | **[m_LastActiveAt](Classes/structllarp_1_1iwp_1_1InboundMessage.md#variable-m-lastactiveat)**  |
| std::bitset< MAX_LINK_MSG_SIZE/FragmentSize > | **[m_Acks](Classes/structllarp_1_1iwp_1_1InboundMessage.md#variable-m-acks)**  |

## Public Functions Documentation

### function InboundMessage

```cpp
InboundMessage() =default
```


### function InboundMessage

```cpp
InboundMessage(
    uint64_t msgid,
    uint16_t sz,
    ShortHash h,
    llarp_time_t now
)
```


### function HandleData

```cpp
void HandleData(
    uint16_t idx,
    const llarp_buffer_t & buf,
    llarp_time_t now
)
```


### function IsCompleted

```cpp
bool IsCompleted() const
```


### function IsTimedOut

```cpp
bool IsTimedOut(
    llarp_time_t now
) const
```


### function Verify

```cpp
bool Verify() const
```


### function AcksBitmask

```cpp
byte_t AcksBitmask() const
```


### function ShouldSendACKS

```cpp
bool ShouldSendACKS(
    llarp_time_t now
) const
```


### function SendACKS

```cpp
void SendACKS(
    std::function< void(ILinkSession::Packet_t)> sendpkt,
    llarp_time_t now
)
```


### function ACKS

```cpp
ILinkSession::Packet_t ACKS() const
```


## Public Attributes Documentation

### variable m_Data

```cpp
ILinkSession::Message_t m_Data;
```


### variable m_Digset

```cpp
ShortHash m_Digset;
```


### variable m_MsgID

```cpp
uint64_t m_MsgID = 0;
```


### variable m_LastACKSent

```cpp
llarp_time_t m_LastACKSent = 0s;
```


### variable m_LastActiveAt

```cpp
llarp_time_t m_LastActiveAt = 0s;
```


### variable m_Acks

```cpp
std::bitset< MAX_LINK_MSG_SIZE/FragmentSize > m_Acks;
```


-------------------------------

Updated on 2023-01-06 at 19:35:06 +0000